Bug 429629 - foomatic data missing for gutenprint-cups models
foomatic data missing for gutenprint-cups models
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
11
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
: 431342 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 19:27 EST by Stuart D Gathman
Modified: 2009-08-21 05:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 05:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/cups/error_log (73.30 KB, text/plain)
2008-01-24 19:49 EST, Stuart D Gathman
no flags Details

  None (edit)
Description Stuart D Gathman 2008-01-21 19:27:36 EST
Description of problem:
After auto-detecting CX7400 printer, printing test page prints multiple blanks
pages.  The test page does not print.  The internal copier function on printer
works, so it does have ink.

Version-Release number of selected component (if applicable):
cups-1.3.4-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. Plug in printer
2. Admin/Printers/New Printer
3. Print test page
  
Actual results:
Apparently infinite (but probably just large number of) blank pages

Expected results:
test page

Additional info:
Auto-detect actually adds CX7700 driver:

Epson Stylus CX7700 Foomatic/gutenprint-ijs-simplified.5.0 (recommended)
Comment 1 Tim Waugh 2008-01-23 12:46:13 EST
Please try the gutenprint test update:

yum --enablerepo=updates-testing update 'gutenprint*'

Also, in case you don't have the gutenprint-foomatic package installed:

yum --enablerepo=updates-testing install gutenprint-foomatic

The test gutenprint packages (5.0.2-1.fc8) should fix this problem.  Please confirm.
Comment 2 Stuart D Gathman 2008-01-24 19:48:39 EST
Installed gutenprint-5.0.2-1.fc8 from updates-testing.  Same behaviour.  
Comment 3 Stuart D Gathman 2008-01-24 19:49:29 EST
Created attachment 292887 [details]
/var/log/cups/error_log

Installed gutenprint-5.0.2-1.fc8 from updates-testing.	Same behaviour. 
Attaching debug output from /var/log/cups/error_log
Comment 4 Stuart D Gathman 2008-01-24 19:52:06 EST
Before running the test, I updated gutenprint.  Restarted cups.  Deleted the
existing CX7400 printer.  Then I turned on and plugged in the CX7400.  The
system popped up a dialog saying it had automatically added the printer using
the CX7700 driver.  I then printed the test page.  After three blank pages, I
cancelled the test page.
Comment 5 Tim Waugh 2008-01-25 06:10:59 EST
Hmm, it should find the CX7400 driver.  What does 'rpm -q gutenprint-foomatic' say?
Comment 6 Stuart D Gathman 2008-01-25 13:19:44 EST
$ rpm -q gutenprint-foomatic
gutenprint-foomatic-5.0.2-1.fc8

Having had some experience with games vendors play with USB identification, I
will obtain the contents of /proc/bus/usb/devices as soon as I get access to
both the laptop and printer again.

In case it is relevent, the laptop is still running 

$ uname -a
Linux julie 2.6.23.9-85.fc8 #1 SMP

This is because the b43 driver still doesn't work, and ndiswrapper is not
available for 2.6.3.14-107 from livna yet.  But everything else has been fully
updated.
Comment 7 Tim Waugh 2008-01-25 13:32:24 EST
Please run 'system-config-printer' from a terminal window and click 'New
Printer'.  Select the entry for the printer and click 'Next'.

You should see some output in the terminal window.  Please paste that in here.
Comment 8 Stuart D Gathman 2008-01-25 13:35:25 EST
I looked in the driver list, and did not see a CX7400 driver.  Under Epson, the
list goes ..CX6400 CX6500 CX6600 CX7700 CX7800..

I notice that there is a gutenprint-cups package, which was not installed.  This
could be a dependency problem.  I installed from liveCD and then updated.  I
have installed gutenprint-cups-5.0.2-1.fc8 and will test again when I get laptop
and printer together.  A key file in gutenprint-cups is /etc/cups/command.types
- which is probably the hook by which the correct filters get called.

Does RPM support a conditional dependency, i.e., if you have cups and you have
gutenprint, then you also need gutenprint-cups ?
Comment 9 Tim Waugh 2008-01-25 13:45:19 EST
Oh, the gutenprint-foomatic data doesn't seem to include the printers.  Will
investigate.
Comment 10 Stuart D Gathman 2008-01-25 13:53:28 EST
I see a reference to CX7400 in gutenprint-ijs-simplified.5.0.xml  

<!-- gutenprint driver: escp2-cx7400 -->
  <printer>
    <id>printer/Epson-Stylus_CX7400</id>
    <margins>
      <general>
        <relative />
        <left>0</left>
        <right>0</right>
        <top>0</top>
        <bottom>0</bottom>
      </general>
    </margins>
  </printer>

Maybe the db needs to be rebuilt?  The RPM needs to recompile the XML to the
binary db?  How can I trigger that manually?
Comment 11 Stuart D Gathman 2008-01-25 14:10:04 EST
Installing the gutenprint-cups package causes the CX7400 to appear in the list.
 Magic.  Also, the printer now works.  It even works with 5.0.1 and the CX7700
driver - but the CX7400 output looks nicer.
Comment 12 Stuart D Gathman 2008-01-26 00:22:43 EST
This looks like a dependency problem rather than a bug in the printer driver itself.
Comment 13 Tim Waugh 2008-01-29 05:01:20 EST
No, the problem is that gutenprint-foomatic doesn't include the Epson CX7400
printer definition (printers/*.xml), only the driver for the printer; and
foomatic doesn't include that printer definition either.

Unfortunately foomatic needs to provide this printer definition, as there may be
several drivers for a given printer, and having each driver ship its own
definition will cause file conflicts.

Changing component to foomatic.  Glad the CUPS native driver also works for you.
Comment 14 Stuart D Gathman 2008-01-29 16:05:24 EST
So, when new package is ready to test, I just remove gutenprint-cups to make
sure it is used?
Comment 15 Tim Waugh 2008-01-30 10:52:17 EST
Yes.
Comment 16 Tim Waugh 2008-02-03 08:39:35 EST
*** Bug 431342 has been marked as a duplicate of this bug. ***
Comment 17 Bug Zapper 2008-11-26 04:31:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 John Mellor 2008-12-28 09:02:05 EST
Problem still exists in F10, with my Epson CX4450 all-in-one printer still missing from the foomatic db.
Comment 19 John Mellor 2008-12-28 09:13:44 EST
The Epson CX4400 is still known in the optional gutenprint-cups package, but not in the standard printer list.

This bug is now a year old, originally reported in F8.  Seeing as all of the required information for the table update is already present in gutenprint-cups, I would have thought that a simple table entry fix would be in by F10.  Can we actually get it fixed before F11?  (sorry, is my frustration showing?) Can I help?
Comment 20 Bug Zapper 2009-06-09 05:26:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 John Mellor 2009-07-11 09:41:06 EDT
Problem still exists for F11 released version.  I now have an Epson Sylus CX4450, and I'm using the CX4400 definitions to drive it.  It is not in the database 3 years after this common printer was put on the market.  Is anybody actually working on this?  What can I do to help?
Comment 22 Tim Waugh 2009-08-21 05:19:38 EDT
This is a design problem with foomatic unfortunately.  It's not feasible to update foomatic every time a new printer model is released, and foomatic can't be the be-all-end-all answer because it always puts foomatic-rip in the print path, which can make things slower than they need to be.

The foomatic database is great for ghostscript-based drivers, but not really for modern native CUPS drivers.

I think the answer is two-fold:

1. We should install gutenprint-cups by default (bug #474453)
2. In future, we should demand-install packages that provide native CUPS drivers for the connected device (bug #456906)

Note You need to log in before you can comment on or make changes to this bug.